aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2024-10-01 13:54:54 +0200
committerChristian Grothoff <christian@grothoff.org>2024-10-01 13:54:54 +0200
commita5694e741ace840acfe8774a8dc9e3455de4c0cd (patch)
treebd740864a470bda201b17e92769d9bd3a5b90a3d
parent27f71ff3a0a1ab31210576a1c994edc0c98d6238 (diff)
skip tests if curl/jq are not found
-rwxr-xr-xsrc/testing/setup.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/src/testing/setup.sh b/src/testing/setup.sh
index 80933149..6aff2599 100755
--- a/src/testing/setup.sh
+++ b/src/testing/setup.sh
@@ -65,3 +65,9 @@ function get_payto_uri() {
libeufin-bank create-account -u "$1" -p "$2" --name "$1" 2> /dev/null
}
+echo -n "Checking for curl ..."
+curl --version 2> /dev/null > /dev/null || exit_skip " no curl"
+echo " OK"
+echo -n "Checking for jq ..."
+jq --version 2> /dev/null > /dev/null || exit_skip " no jq"
+echo " OK"